﻿html {
  position: relative;
  min-height: 100%;
}

body {
  margin: 0 0 195px;
  background: #fafafa;
}

header {
  background: #2f4f4f;
  width: 100%;
  height: 85px;
}

header div {
  width: 1200px;
  margin: 0 auto;
}

main {
  width: 1200px;
  margin: 0 auto;
  padding-bottom: 80px;
}

input[type="submit"] {
  color: #000;
  background: #ffb200;
}

input[type="submit"]:hover {
  background: #ff9600;
}

textarea,
input {
  width: 100%;
  border: 0;
  margin-bottom: 10px;
  padding: 10px;
  font-size: 17px;
  border: 1px solid #a3a3a3;
  box-sizing: border-box;
  border-radius: 5px;
}

textarea {
  height: 200px;
}

input {
  line-height: normal;
}

h2 {
  font-family: "Nunito Light", sans-serif;
  font-size: 26px;
  font-weight: normal;
}

h3 {
  font-family: "Nunito Light", sans-serif;
  font-size: 24px;
  font-weight: normal;
}

footer {
  font-family: "Nunito ExtraLight", sans-serif;
  font-size: 16px;
  background: #393b3a;
  color: #fff;
  text-align: center;
  padding: 40px 0;
  margin: 0;
  position: absolute;
  left: 0;
  bottom: 0;
  height: 120px;
  width: 100%;
}

footer p {
  margin: 5px 20px;
}

footer b {
  font-size: 18px;
}

.roofs {
  padding: 25px 0 0 25px;
}

.call-to-action {
  width: 700px;
  text-align: center;
  margin-bottom: 20px;
  color: #000;
  padding: 10px 20px;
  margin: 0 auto;
  background: rgba(255, 255, 255, 0.8);
}

.site-link {
  text-decoration: none;
}

.site-link h1 {
  color: #fff;
  font-family: "Nunito ExtraLight", sans-serif;
  font-weight: normal;
  font-size: 30px;
  margin: 0;
  display: inline-block;
  padding: 15px 0 0 20px;
}

.site-link:hover h1 {
  color: #ffb200;
}

.call-now {
  float: right;
  background: #ffb200;
  font-family: "Nunito ExtraLight", sans-serif;
  color: #000;
  text-decoration: none;
  height: 79px;
  padding: 3px 30px;
  font-size: 22px;
}

.front-page-header,
.page-header {
  background: url(../images/coverimage.jpg) #fff no-repeat;
  width: 100%;
  background-position: center;
  background-size: cover;
  text-align: center;
  margin-bottom: 30px;
}

.front-page-header {
  height: 360px;
  padding-top: 80px;
  margin-top: -19px;
}

.page-header {
  height: 140px;
  padding-top: 60px;
}

.front-page-header p,
.call-to-action p,
main p,
.map p,
li {
  font-family: "Nunito Light", sans-serif;
  font-size: 17px;
}

.front-page-header p,
.map p {
  margin-bottom: 20px;
}

.use-for {
  display: none;
  font-size: 22px;
  text-transform: uppercase;
}

.contact-button {
  font-size: 20px;
  color: #000;
  text-decoration: none;
  background: #ffb200;
  width: 135px;
  padding: 15px 50px;
  border-radius: 25px;
  display: inline-block;
}

.contact-button:hover {
  background: #ff9600;
}

.buildings-wrapper {
  display: grid;
  grid-template-columns: auto auto;
  gap: 20px;
  margin-top: 40px;
}
.building-wrapper:last-child {
  grid-column: 1 / -1;
}

.building-wrapper {
  background-color: #eaeaea;
  padding-bottom: 20px;
}

.building-image {
  width: 100%;
  height: auto;
}

.building-info {
  padding: 0 20px;
}

.building-address {
  margin-bottom: 0px;
  text-transform: uppercase;
  font-size: 16px !important;
}

.building-name,
.unit p {
  margin: 0px;
}

.units {
  padding: 0 10px;
}

.unit {
  display: inline-block;
  border: 1px solid #cac8c8;
  padding: 10px 20px;
  margin: 10px;
}

.free {
  color: #296c29;
  font-weight: bold;
}

.occupied {
  color: #9a4c4c;
  font-weight: bold;
}

.front-page-box {
  background-color: #eaeaea;
  padding: 20px;
  margin-top: 20px;
}

.front-page-map-image,
.front-page-gallery img {
  width: 100%;
  height: auto;
}

.front-page-gallery {
  display: grid;
  grid-template-columns: auto auto;
  gap: 20px;
  margin-top: 20px;
}

.page-title {
  padding: 5px 10px;
  margin: 0 auto;
  background: rgba(255, 255, 255, 0.8);
}

.contact-wrapper {
  display: grid;
  grid-template-columns: 1fr auto;
  padding-top: 10px;
  padding-bottom: 40px;
  margin: 0 auto;
  gap: 60px;
}

.contact-details {
  display: flex;
  flex-direction: column;
  gap: 20px;
}

.contact-form h3,
.contact-details h3,
.contact-details p {
  margin-bottom: 10px;
}

.contact-email a {
  color: #57587f;
  border-bottom: 1px dotted #57587f;
  text-decoration: none;
}

.contact-email a:hover {
  color: #000;
  border-bottom: 1px solid #000;
}

.person {
  font-style: italic;
}

.notification {
  padding: 10px 20px;
  margin-bottom: 20px;
  text-align: center;
}

.error {
  background: #ffd5d5;
}

.ok {
  background: #d5ffdb;
}

.contact-map {
  margin: 0 auto;
}

.contact-map iframe {
  width: 100%;
  height: 500px;
}

.footer-links {
  font-size: 16px;
  color: #c2c2c2;
}

.footer-links a {
  text-decoration: none;
  color: #c2c2c2;
  padding: 0 5px;
}

.footer-links a:hover {
  text-decoration: underline;
}
